﻿@using Microsoft.AspNetCore.Http;

<div uk-sticky="show-on-up: true; animation: uk-animation-slide-top; cls-active: uk-navbar-sticky; bottom: #scrollup-dropdown">
    <nav class="uk-navbar-container" uk-navbar>
        <div class="uk-navbar-left">
            <a class="uk-navbar-item uk-logo uk-visible@s" asp-page="/Index"><img src="@Context.Items["StaticAssetsUrl"]/img/bng-default-logo-white-001-242x64.png" style="height: 32px"></a>
            <ul class="uk-navbar-nav uk-visible@s">
                @*<li><a href="http://www.beamandgo.com/">Store</a></li>
                    <li><a asp-page="/">Wallet</a></li>*@
            </ul>
        </div>
        <div class="uk-navbar-center uk-hidden@s">
            <a class="uk-navbar-item uk-logo" asp-page="/Index"><img src="@Context.Items["StaticAssetsUrl"]/img/bng-default-logo-white-001-242x64.png" style="height: 32px"></a>
        </div>
        <div class="uk-navbar-right">
            <ul class="uk-navbar-nav">

                @if (!string.IsNullOrEmpty(Context.Session.GetString(SessionKey.MemberSid)))
                {
                    <li class="uk-visible@s"><a href="/logout"><span class="uk-margin-small-right" uk-icon="icon: sign-in"></span>Logout</a></li>
                    <li class="uk-hidden@s"><a href="/logout"><span class="uk-margin-small-right" uk-icon="icon: sign-in"></span>Logout</a></li>
                }
                else
                {
                    <li class="uk-visible@s"><a href="/login"><span class="uk-margin-small-right" uk-icon="icon: sign-in"></span>Login / Signup</a></li>
                    <li class="uk-hidden@s"><a href="/login"><span class="uk-margin-small-right" uk-icon="icon: sign-in"></span>Login</a></li>
                }

            </ul>
        </div>
    </nav>
</div>